# arns-lt-gemini

[![Build Status](https://drone.arns.lt/api/badges/zordsdavini/arns-lt-gemini/status.svg)](https://drone.arns.lt/zordsdavini/arns-lt-gemini)

My capsule in Gemini space. Built with zord-tree support


## URL plan

* / - redirect to /sgs
* /sgs or /en - index template by language. Links to other language, about, search, root categories, all tags, last 10 post, link to all posts
* /[sgs|en]/a - about page
* /[sgs|en]/s - search
* /[sgs|en]/f/<category/path> - display files, subcategories, subtags. If exists index.gmi - display its text
* /[sgs|en]/f/<category/path>/<id>/<name.gmi> - display category path as:
```
=> /sgs/f/c1 c1
=> /sgs/f/c1/c2 └─ c2
=> /sgs/f/c1/c2/c3 ,  └─ c3 
---
> c1
> └─ c2
> , └─ c3 
```
display tags, date, copyright


## TODO

* routing, not found
* migrate to gRPC
* add category view
* add tag view
* add file view
* add image or other file not `gmi` download
* feed
* about
* citata from some file
